import { defineStore } from "pinia";
import { ref } from "vue";

import type { KeycloakPosition } from "@/interface/response/Main";

export const usekeycloakPosition = defineStore("keycloakPosition", () => {
  const dataPosition = ref<KeycloakPosition>();

  function setDataPosition(val: KeycloakPosition) {
    dataPosition.value = val;
  }

  return {
    dataPosition,
    setDataPosition,
  };
});
